package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyTestQuestion;

/**
 * 组卷题目Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestQuestionMapper 
{
    /**
     * 查询组卷题目
     * 
     * @param questionId 组卷题目ID
     * @return 组卷题目
     */
    public SyTestQuestion selectSyTestQuestionById(Long questionId);

    /**
     * 查询组卷题目列表
     * 
     * @param syTestQuestion 组卷题目
     * @return 组卷题目集合
     */
    public List<SyTestQuestion> selectSyTestQuestionList(SyTestQuestion syTestQuestion);

    /**
     * 新增组卷题目
     * 
     * @param syTestQuestion 组卷题目
     * @return 结果
     */
    public int insertSyTestQuestion(SyTestQuestion syTestQuestion);

    /**
     * 修改组卷题目
     * 
     * @param syTestQuestion 组卷题目
     * @return 结果
     */
    public int updateSyTestQuestion(SyTestQuestion syTestQuestion);

    /**
     * 删除组卷题目
     * 
     * @param questionId 组卷题目ID
     * @return 结果
     */
    public int deleteSyTestQuestionById(Long questionId);

    /**
     * 批量删除组卷题目
     * 
     * @param questionIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestQuestionByIds(Long[] questionIds);
}
